ch.qos.logback.classic.pattern

## Class PropertyConverter

- java.lang.Object
- - ch.qos.logback.core.pattern.Converter<E>
  - - ch.qos.logback.core.pattern.FormattingConverter<E>
    - - ch.qos.logback.core.pattern.DynamicConverter<ILoggingEvent>
      - - ch.qos.logback.classic.pattern.ClassicConverter
        - - ch.qos.logback.classic.pattern.PropertyConverter

All Implemented Interfaces:
  ContextAware, LifeCycle

    public final class PropertyConverter
    extends ClassicConverter

### Field Summary

### Fields inherited from class ch.qos.logback.core.pattern.DynamicConverter

`started`

### Constructor Summary

Constructors
Constructor and Description
`PropertyConverter()`

### Method Summary

Methods
`java.lang.String` `convert(ILoggingEvent event)` The convert method is responsible for extracting data from the event and storing it for later use by the write method.
`void` `start()` Components that depend on options passed during configuration can override this method in order to make appropriate use of those options.

### Methods inherited from class ch.qos.logback.core.pattern.DynamicConverter

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getFirstOption, getOptionList, isStarted, setContext, setOptionList, stop`

### Methods inherited from class ch.qos.logback.core.pattern.FormattingConverter

`getFormattingInfo, setFormattingInfo, write`

### Methods inherited from class ch.qos.logback.core.pattern.Converter

`getNext, setNext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyConverter

    public PropertyConverter()

### Method Detail

#### start

    public void start()

Description copied from class: `DynamicConverter`
Components that depend on options passed during configuration can override this method in order to make appropriate use of those options. For simpler components, the trivial implementation found in this abstract class will be sufficient.

Specified by:
  `start` in interface `LifeCycle`
Overrides:
  `start` in class `DynamicConverter<ILoggingEvent>`

#### convert

    public java.lang.String convert(ILoggingEvent event)

Description copied from class: `Converter`
The convert method is responsible for extracting data from the event and storing it for later use by the write method.

Specified by:
  `convert` in class `Converter<ILoggingEvent>`